## ThunarDeepCountJob ThunarDeepCountJob |

## Functions

ThunarDeepCountJob * | thunar_deep_count_job_new ()

## Signals

void | status-update | No Hooks

## Object Hierarchy

        GObject
        ╰── ExoJob
            ╰── ThunarJob
                ╰── ThunarDeepCountJob

## Description

## Functions

### thunar_deep_count_job_new ()

    ThunarDeepCountJob *
    thunar_deep_count_job_new (GList *files,
                               GFileQueryInfoFlags flags);

## Signal Details

### The `“status-update”` signal

    void
    user_function (ThunarDeepCountJob *job,
                   guint64             total_size,
                   guint               file_count,
                   guint               directory_count,
                   guint               unreadable_directory_count,
                   gpointer            user_data)

Emitted by the `job` to inform listeners about the number of files, directories and bytes counted so far.

#### Parameters

job | a ThunarJob. |
total_size | the total size in bytes. |
file_count | the number of files. |
directory_count | the number of directories. |
unreadable_directory_count | the number of unreadable directories. |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks